several graduated classification modes not working on joined columns

2013-03-04 08:16 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 16290

Description

Steps to reproduce:

1. Load village_points.shp and the 'By Village' layer in the excell table v4_CAM_HeadCount_MotherTongue_Multilevel_Census2008.xls

(both available in issue #7271)

2. Join the .xls to the village_points.shp via the village_points VILL_CODE column and the .xls Code_Phum_STRING column

3. Go in village_points symbology property, and select Graduated

4. Select joined column 'By Vllage_Chaaraay'

5. Select 'Equal Interval' mode, with 5 classes

What you'll get is 5 classes with interval 0.00000 - 0.00000.

The modes I see as broken with joined columns are:

- Equal Interval

- Pretty Break

The modes I see as working with joined columns are:

- Quantile

- Natural Breaks

- Standard Deviation

History

#1 - 2013-03-04 11:49 PM - James Stott

Exactly the same behavior here with different data

#2 - 2013-03-05 02:04 AM - Borys Jurgiel

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicates #7193

2024-04-10 1/1


